Cisco Support Community
cancel
Showing results for 
Search instead for 
Did you mean: 
Community Member

Need 7.5.4 firmware for SPA525G2 on UC540

Customer has UC540 and SPA525G2 phones.  The "phone load" on the UC540 installs firmware 7.5.2a on the phones.  The customer wants to use Plantronics headsets with EHS (Electronic Hook Switch) and there is apparently a bug in 7.5.2a that prevents EHS from working.  I see 7.5.4 firmware says EHS has been fixed.

So is there a way to add the 7.5.4 onto the UC540 so the phones will downlod it and upgrade themselves?  Is there any danger of the phones doing this upgrade over the VPN?

Thanks!
Phil

4 REPLIES
Community Member

Need 7.5.4 firmware for SPA525G2 on UC540

If you drag/drop the firmware file onto the UC using the CCA, all the phones will upgrade themselves once they are restarted. 

I did about 40 phones through my VPN's and did not have any issues, just restarted the phone and it picked up the new FW.

Community Member

Need 7.5.4 firmware for SPA525G2 on UC540

I'm getting the Deny icon (circle w/ line through it) when I try to drag+drop the downloaded firmware to the device.

I've tried both the ZIP file (SPA525G_7.5.4_FW.ZIP) and the binary file (spa525g-7-5-4-bt.bin).  In both cases I get the Deny icon.

I'm using Win7 64-bit.  I did some googling, research said to disable UAC.  Tried that, still get the Deny icon.  I already had telnet enabled.

I tried loading the file via the Phone Load feature, it tells me "Software pack is not valid for this device.  Please provide correct software pack."

Any ideas?

I'm using CCA 3.2 (2), btw.

Community Member

Need 7.5.4 firmware for SPA525G2 on UC540

If you open up the CCA, open the Topology page.

Drag the .bin file to the UC icon, not the phone but the UC system itself, then it should allow you to drop it onto the system.

Community Member

Re: Need 7.5.4 firmware for SPA525G2 on UC540

You can get the firmware from Cisco's website (Support -> Downloads -> SPA525G2, etc)

When you have the firmware on hand, open CCA and drag/drop the fimware as suggested by Brian Rapier.

As far as 7.5.4 fixing the EHS problem, I confirm that in our case it did indeed solve 3 clients with that very same issue as you are having with Plantronics. So I think you can be confident the issue will be fixed after that.

BUT, you need to do some tweeking on the phone themselves after the phones are on version 7.5.4

First, you need to enable Web editing by physically changing that on the phone. Somewhere in the settings of the phone.

Then, you need to access the website of every phone that will be using a headset and under the "Voice Menu", you go under the User tab.

You'll have a "Electronic HookSwich Control" dropdown that you will change to yes.

By the way, as of June of this year, there is a new firmware version 7.5.5 . I haven't tested it yet though so I cannot comment on that version.

812
Views
0
Helpful
4
Replies
CreatePlease to create content